package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.openmuc.jmbus.DataRecord;

public abstract class ADataParser {
	final protected Logger logger = LogManager.getRootLogger();

	protected String name;
	
	public ADataParser(String name) {
		this.name = name;
	}
	
	abstract public List<ADataObject> parse(LocalDateTime timestamp, List<DataRecord> dataRecords);
}
